/*! © 2026 Yahoo, Inc. UDS v0.0.0-development */
const require_index = require("../packages/fixtures/dist/index.cjs");
const require_index$1 = require("../packages/css-tokens/dist/index.cjs");
const require_getResponsiveTextStyles = require("../components/getResponsiveTextStyles.cjs");
//#region ../tailwind-internal/dist/theme/getFontFamilyTheme.js
/*! © 2026 Yahoo, Inc. UDS Tailwind Internal v0.0.0-development */
function getFontFamilyTheme() {
	/** Global font family aliases i.e. font-sans, font-serif, etc */
	const globalFonts = Object.fromEntries(require_index.fontAliases.map((fontAlias) => {
		return [fontAlias, `var(--${require_index$1.FONT_FAMILY_PREFIX}-${fontAlias})`];
	}));
	/** Text variant font family assignments i.e. font-display1 */
	const textVariantFonts = Object.fromEntries(require_index.textVariants.map(require_getResponsiveTextStyles.textVariantsSafe).map((textVariant) => {
		return [textVariant, `var(--${require_index$1.FONT_FAMILY_PREFIX}-${textVariant})`];
	}));
	return {
		...globalFonts,
		...textVariantFonts
	};
}
//#endregion
exports.getFontFamilyTheme = getFontFamilyTheme;
